package cn.reghao.tnb.file.app.zdisk.model.po;

import cn.reghao.tnb.common.auth.UserContext;

import java.time.LocalDateTime;
import java.util.UUID;

/**
 * @author reghao
 * @date 2024-08-30 20:51:33
 */
public class UserActivity {
    private String id;
    private Integer activity;
    private LocalDateTime createTime;
    private Long createBy;

    public UserActivity() {
        this.id = UUID.randomUUID().toString().replace("-", "");
        this.activity = 1;
        this.createTime = LocalDateTime.now();
        this.createBy = UserContext.getUserId();
    }

    public void setCreateBy(Long createBy) {
        this.createBy = createBy;
    }
}
